#include <avr/io.h>
#include <avr/interrupt.h>
#include "MCUFRIEND_kbv.h"
#include "usart.h"
#include "bmp.h"
#include "fatfs/ff.h"
#include "fatfs/diskio.h"

void SDTimerInit(void) {
	OCR0 = F_CPU / 1024 / 100 - 1;
	TCCR0 = _BV(WGM01) | _BV(CS02) | _BV(CS00); //CTC, F_CPU/1024
	TIMSK = _BV(OCIE0); //output compare
}

ISR(TIMER0_COMP_vect)
{
	disk_timerproc();
}

int main(void){
	usartInit();
	usartInitPrintf();
	SDTimerInit();
	sei();
	FATFS fatFs;
	if (f_mount(&fatFs, "", 1) != FR_OK) {
		printf("SD error\r\n");
	}
	MCUFRIEND_kbv tft;
	uint16_t id = tft.readID();
	printf("ID=%X\r\n", id);
	tft.begin(id);
	tft.fillScreen(TFT_WHITE);
	bmpDraw("kotek.bmp", 0, 0, tft);
	while (1) {
		
	}
}
